<?php

namespace App\Framework\Cache\Serializer;

use App\Framework\Cache\Serializer;

final readonly class PhpSerializer implements Serializer
{

    public function serialize(mixed $value): string
    {
        return serialize($value);
    }

    public function unserialize(string $value): mixed
    {
        return unserialize($value);
    }
}
